org.springframework.batch.sample.domain.order.internal.mapper

## Class ShippingFieldSetMapper

- java.lang.Object
- - org.springframework.batch.sample.domain.order.internal.mapper.ShippingFieldSetMapper

- All Implemented Interfaces:
    FieldSetMapper<ShippingInfo>

      public class ShippingFieldSetMapper
      extends java.lang.Object
      implements FieldSetMapper<ShippingInfo>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADDITIONAL_SHIPPING_INFO_COLUMN`
    `static java.lang.String` | `SHIPPER_ID_COLUMN`
    `static java.lang.String` | `SHIPPING_TYPE_ID_COLUMN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShippingFieldSetMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ShippingInfo` | `mapFieldSet(FieldSet fieldSet)` Method used to map data obtained from a `FieldSet` into an object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADDITIONAL_SHIPPING_INFO_COLUMN

          public static final java.lang.String ADDITIONAL_SHIPPING_INFO_COLUMN

      See Also:
        Constant Field Values

    - #### SHIPPING_TYPE_ID_COLUMN

          public static final java.lang.String SHIPPING_TYPE_ID_COLUMN

      See Also:
        Constant Field Values

    - #### SHIPPER_ID_COLUMN

          public static final java.lang.String SHIPPER_ID_COLUMN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ShippingFieldSetMapper

          public ShippingFieldSetMapper()

  - ### Method Detail

    - #### mapFieldSet

          public ShippingInfo mapFieldSet(FieldSet fieldSet)

      Description copied from interface: `FieldSetMapper`
      Method used to map data obtained from a `FieldSet` into an object.
      Specified by:
        `mapFieldSet` in interface `FieldSetMapper<ShippingInfo>`
      Parameters:
        `fieldSet` - the `FieldSet` to map